网站

GET https://seo.noiq.us/api/websites/
curl --request GET \
--url 'https://seo.noiq.us/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
参数 详情 描述
page 可选 整数 您想要结果的页码。默认为1
results_per_page 可选 整数 每页显示多少个结果。允许的值为:10 , 25 , 50 , 100 , 250 , 500 , 1000。默认为25
{ "data": [ { "id": 1, "user_id": 1, "domain_id": 0, "scheme": "https", "host": "example.com", "score": 100, "total_audits": 10, "total_archived_audits": 5, "total_issues": 0, "major_issues": 0, "moderate_issues": 0, "minor_issues": 0, "last_audit_datetime": "2024-11-10 02:26:19", "datetime": "2024-11-10 02:22:50" } ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://seo.noiq.us/api/websites?&page=1", "last": "https://seo.noiq.us/api/websites?&page=1", "next": null, "prev": null, "self": "https://seo.noiq.us/api/websites?&page=1" } }
GET https://seo.noiq.us/api/websites/{website_id}
curl --request GET \
--url 'https://seo.noiq.us/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "user_id": 1, "domain_id": 0, "scheme": "https", "host": "example.com", "score": 100, "total_audits": 10, "total_archived_audits": 5, "total_issues": 0, "major_issues": 0, "moderate_issues": 0, "minor_issues": 0, "last_audit_datetime": "2024-11-10 02:26:19", "datetime": "2024-11-10 02:22:50" } }
POST https://seo.noiq.us/api/websites/{website_id}
参数 详情 描述
domain_id 可选 整数 -
password 可选 字符串 -
is_public 可选 布尔值 -
audit_check_interval 可选 整数 允许的值:{empty_string}21600, 43200, 86400, 259200, 432000, 864000, 1296000, 2592000 (秒 )
notifications 可选 数组 通知处理程序 ID
curl --request POST \
--url 'https://seo.noiq.us/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_public=1' \
--form 'password=example' \
{ "data": { "id": 1 } }
DELETE https://seo.noiq.us/api/websites/{website_id}
curl --request DELETE \
--url 'https://seo.noiq.us/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \